<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Code Coverage for /var/www/html/src/Entity/Task.php</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../_css/octicons.css" rel="stylesheet" type="text/css">
  <link href="../_css/style.css" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/var/www/html/src</a></li>
         <li class="breadcrumb-item"><a href="index.html">Entity</a></li>
         <li class="breadcrumb-item active">Task.php</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="table-responsive">
    <table class="table table-bordered">
     <thead>
      <tr>
       <td>&nbsp;</td>
       <td colspan="10"><div align="center"><strong>Code Coverage</strong></div></td>
      </tr>
      <tr>
       <td>&nbsp;</td>
       <td colspan="3"><div align="center"><strong>Classes and Traits</strong></div></td>
       <td colspan="4"><div align="center"><strong>Functions and Methods</strong></div></td>
       <td colspan="3"><div align="center"><strong>Lines</strong></div></td>
      </tr>
     </thead>
     <tbody>
      <tr>
       <td class="danger">Total</td>
       <td class="danger big">       <div class="progress">
         <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="0.00" aria-valuemin="0" aria-valuemax="100" style="width: 0.00%">
           <span class="sr-only">0.00% covered (danger)</span>
         </div>
       </div>
</td>
       <td class="danger small"><div align="right">0.00%</div></td>
       <td class="danger small"><div align="right">0&nbsp;/&nbsp;1</div></td>
       <td class="warning big">       <div class="progress">
         <div class="progress-bar bg-warning" role="progressbar" aria-valuenow="83.33" aria-valuemin="0" aria-valuemax="100" style="width: 83.33%">
           <span class="sr-only">83.33% covered (warning)</span>
         </div>
       </div>
</td>
       <td class="warning small"><div align="right">83.33%</div></td>
       <td class="warning small"><div align="right">10&nbsp;/&nbsp;12</div></td>
       <td class="warning small"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></td>
       <td class="warning big">       <div class="progress">
         <div class="progress-bar bg-warning" role="progressbar" aria-valuenow="84.21" aria-valuemin="0" aria-valuemax="100" style="width: 84.21%">
           <span class="sr-only">84.21% covered (warning)</span>
         </div>
       </div>
</td>
       <td class="warning small"><div align="right">84.21%</div></td>
       <td class="warning small"><div align="right">16&nbsp;/&nbsp;19</div></td>
      </tr>

      <tr>
       <td class="danger"><abbr title="App\Entity\Task">Task</abbr></td>
       <td class="danger big">       <div class="progress">
         <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="0.00" aria-valuemin="0" aria-valuemax="100" style="width: 0.00%">
           <span class="sr-only">0.00% covered (danger)</span>
         </div>
       </div>
</td>
       <td class="danger small"><div align="right">0.00%</div></td>
       <td class="danger small"><div align="right">0&nbsp;/&nbsp;1</div></td>
       <td class="warning big">       <div class="progress">
         <div class="progress-bar bg-warning" role="progressbar" aria-valuenow="83.33" aria-valuemin="0" aria-valuemax="100" style="width: 83.33%">
           <span class="sr-only">83.33% covered (warning)</span>
         </div>
       </div>
</td>
       <td class="warning small"><div align="right">83.33%</div></td>
       <td class="warning small"><div align="right">10&nbsp;/&nbsp;12</div></td>
       <td class="warning small">22.74</td>
       <td class="warning big">       <div class="progress">
         <div class="progress-bar bg-warning" role="progressbar" aria-valuenow="84.21" aria-valuemin="0" aria-valuemax="100" style="width: 84.21%">
           <span class="sr-only">84.21% covered (warning)</span>
         </div>
       </div>
</td>
       <td class="warning small"><div align="right">84.21%</div></td>
       <td class="warning small"><div align="right">16&nbsp;/&nbsp;19</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#49"><abbr title="__construct()">__construct</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">1</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">3&nbsp;/&nbsp;3</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#55"><abbr title="getId(): ?int">getId</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">2</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
      </tr>

      <tr>
       <td class="danger" colspan="4">&nbsp;<a href="#60"><abbr title="getCreatedAt(): ?DateTime">getCreatedAt</abbr></a></td>
       <td class="danger big">       <div class="progress">
         <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="0.00" aria-valuemin="0" aria-valuemax="100" style="width: 0.00%">
           <span class="sr-only">0.00% covered (danger)</span>
         </div>
       </div>
</td>
       <td class="danger small"><div align="right">0.00%</div></td>
       <td class="danger small"><div align="right">0&nbsp;/&nbsp;1</div></td>
       <td class="danger small">6</td>
       <td class="danger big">       <div class="progress">
         <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="0.00" aria-valuemin="0" aria-valuemax="100" style="width: 0.00%">
           <span class="sr-only">0.00% covered (danger)</span>
         </div>
       </div>
</td>
       <td class="danger small"><div align="right">0.00%</div></td>
       <td class="danger small"><div align="right">0&nbsp;/&nbsp;1</div></td>
      </tr>

      <tr>
       <td class="danger" colspan="4">&nbsp;<a href="#65"><abbr title="setCreatedAt(?DateTime $createdAt): self">setCreatedAt</abbr></a></td>
       <td class="danger big">       <div class="progress">
         <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="0.00" aria-valuemin="0" aria-valuemax="100" style="width: 0.00%">
           <span class="sr-only">0.00% covered (danger)</span>
         </div>
       </div>
</td>
       <td class="danger small"><div align="right">0.00%</div></td>
       <td class="danger small"><div align="right">0&nbsp;/&nbsp;1</div></td>
       <td class="danger small">6</td>
       <td class="danger big">       <div class="progress">
         <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="0.00" aria-valuemin="0" aria-valuemax="100" style="width: 0.00%">
           <span class="sr-only">0.00% covered (danger)</span>
         </div>
       </div>
</td>
       <td class="danger small"><div align="right">0.00%</div></td>
       <td class="danger small"><div align="right">0&nbsp;/&nbsp;2</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#71"><abbr title="getTitle(): ?string">getTitle</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">2</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#76"><abbr title="setTitle(?string $title): self">setTitle</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">2</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">2&nbsp;/&nbsp;2</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#82"><abbr title="getContent(): ?string">getContent</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">2</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#87"><abbr title="setContent(?string $content): self">setContent</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">2</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">2&nbsp;/&nbsp;2</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#93"><abbr title="isDone(): bool">isDone</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">1</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#98"><abbr title="toggle(bool $flag): self">toggle</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">1</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">2&nbsp;/&nbsp;2</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#104"><abbr title="getAuthor(): ?User">getAuthor</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">2</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#109"><abbr title="setAuthor(?User $author): self">setAuthor</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">2</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">2&nbsp;/&nbsp;2</div></td>
      </tr>


     </tbody>
    </table>
   </div>
   <table id="code" class="table table-borderless table-condensed">
    <tbody>
     <tr><td><div align="right"><a name="1"></a><a href="#1">1</a></div></td><td class="codeLine"><span class="default">&lt;?php</span></td></tr>
     <tr><td><div align="right"><a name="2"></a><a href="#2">2</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="3"></a><a href="#3">3</a></div></td><td class="codeLine"><span class="keyword">namespace</span><span class="default">&nbsp;</span><span class="default">App</span><span class="default">\</span><span class="default">Entity</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="4"></a><a href="#4">4</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="5"></a><a href="#5">5</a></div></td><td class="codeLine"><span class="keyword">use</span><span class="default">&nbsp;</span><span class="default">DateTime</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="6"></a><a href="#6">6</a></div></td><td class="codeLine"><span class="keyword">use</span><span class="default">&nbsp;</span><span class="default">Doctrine</span><span class="default">\</span><span class="default">ORM</span><span class="default">\</span><span class="default">Mapping</span><span class="default">&nbsp;</span><span class="keyword">as</span><span class="default">&nbsp;</span><span class="default">ORM</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="7"></a><a href="#7">7</a></div></td><td class="codeLine"><span class="keyword">use</span><span class="default">&nbsp;</span><span class="default">Symfony</span><span class="default">\</span><span class="default">Component</span><span class="default">\</span><span class="default">Validator</span><span class="default">\</span><span class="default">Constraints</span><span class="default">&nbsp;</span><span class="keyword">as</span><span class="default">&nbsp;</span><span class="default">Assert</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="8"></a><a href="#8">8</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="9"></a><a href="#9">9</a></div></td><td class="codeLine"><span class="comment">/**</span></td></tr>
     <tr><td><div align="right"><a name="10"></a><a href="#10">10</a></div></td><td class="codeLine"><span class="comment">&nbsp;*&nbsp;@ORM\Entity</span></td></tr>
     <tr><td><div align="right"><a name="11"></a><a href="#11">11</a></div></td><td class="codeLine"><span class="comment">&nbsp;*&nbsp;@ORM\Table</span></td></tr>
     <tr><td><div align="right"><a name="12"></a><a href="#12">12</a></div></td><td class="codeLine"><span class="comment">&nbsp;*/</span></td></tr>
     <tr><td><div align="right"><a name="13"></a><a href="#13">13</a></div></td><td class="codeLine"><span class="keyword">class</span><span class="default">&nbsp;</span><span class="default">Task</span></td></tr>
     <tr><td><div align="right"><a name="14"></a><a href="#14">14</a></div></td><td class="codeLine"><span class="keyword">{</span></td></tr>
     <tr><td><div align="right"><a name="15"></a><a href="#15">15</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">/**</span></td></tr>
     <tr><td><div align="right"><a name="16"></a><a href="#16">16</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\Column(type=&quot;integer&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="17"></a><a href="#17">17</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\Id</span></td></tr>
     <tr><td><div align="right"><a name="18"></a><a href="#18">18</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\GeneratedValue(strategy=&quot;AUTO&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="19"></a><a href="#19">19</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*/</span></td></tr>
     <tr><td><div align="right"><a name="20"></a><a href="#20">20</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">int</span><span class="default">&nbsp;</span><span class="default">$id</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">null</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="21"></a><a href="#21">21</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="22"></a><a href="#22">22</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">/**</span></td></tr>
     <tr><td><div align="right"><a name="23"></a><a href="#23">23</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\Column(type=&quot;datetime&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="24"></a><a href="#24">24</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*/</span></td></tr>
     <tr><td><div align="right"><a name="25"></a><a href="#25">25</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">DateTime</span><span class="default">&nbsp;</span><span class="default">$createdAt</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="26"></a><a href="#26">26</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="27"></a><a href="#27">27</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">/**</span></td></tr>
     <tr><td><div align="right"><a name="28"></a><a href="#28">28</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\Column(type=&quot;string&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="29"></a><a href="#29">29</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@Assert\NotBlank(message=&quot;Vous&nbsp;devez&nbsp;saisir&nbsp;un&nbsp;titre.&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="30"></a><a href="#30">30</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*/</span></td></tr>
     <tr><td><div align="right"><a name="31"></a><a href="#31">31</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">string</span><span class="default">&nbsp;</span><span class="default">$title</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="32"></a><a href="#32">32</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="33"></a><a href="#33">33</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">/**</span></td></tr>
     <tr><td><div align="right"><a name="34"></a><a href="#34">34</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\Column(type=&quot;text&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="35"></a><a href="#35">35</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@Assert\NotBlank(message=&quot;Vous&nbsp;devez&nbsp;saisir&nbsp;du&nbsp;contenu.&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="36"></a><a href="#36">36</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*/</span></td></tr>
     <tr><td><div align="right"><a name="37"></a><a href="#37">37</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">string</span><span class="default">&nbsp;</span><span class="default">$content</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="38"></a><a href="#38">38</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="39"></a><a href="#39">39</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">/**</span></td></tr>
     <tr><td><div align="right"><a name="40"></a><a href="#40">40</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\Column(type=&quot;boolean&quot;)</span></td></tr>
     <tr><td><div align="right"><a name="41"></a><a href="#41">41</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*/</span></td></tr>
     <tr><td><div align="right"><a name="42"></a><a href="#42">42</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">bool</span><span class="default">&nbsp;</span><span class="default">$isDone</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="43"></a><a href="#43">43</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="44"></a><a href="#44">44</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">/**</span></td></tr>
     <tr><td><div align="right"><a name="45"></a><a href="#45">45</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*&nbsp;@ORM\ManyToOne(targetEntity=User::class,&nbsp;inversedBy=&quot;tasks&quot;,&nbsp;cascade={&quot;persist&quot;})</span></td></tr>
     <tr><td><div align="right"><a name="46"></a><a href="#46">46</a></div></td><td class="codeLine"><span class="comment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*/</span></td></tr>
     <tr><td><div align="right"><a name="47"></a><a href="#47">47</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">User</span><span class="default">&nbsp;</span><span class="default">$author</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">null</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="48"></a><a href="#48">48</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="49"></a><a href="#49">49</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">__construct</span><span class="keyword">(</span><span class="keyword">)</span></td></tr>
     <tr><td><div align="right"><a name="50"></a><a href="#50">50</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="9 tests cover line 51" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskNeedAuthenticatedUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="51"></a><a href="#51">51</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">createdAt</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="keyword">new</span><span class="default">&nbsp;</span><span class="default">Datetime</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="9 tests cover line 52" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskNeedAuthenticatedUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="52"></a><a href="#52">52</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">isDone</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">false</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="9 tests cover line 53" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskNeedAuthenticatedUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="53"></a><a href="#53">53</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="54"></a><a href="#54">54</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="55"></a><a href="#55">55</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getId</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">int</span></td></tr>
     <tr><td><div align="right"><a name="56"></a><a href="#56">56</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="10 tests cover line 57" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testToggleTaskAction&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testDeleteTaskAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="57"></a><a href="#57">57</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">id</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="58"></a><a href="#58">58</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="59"></a><a href="#59">59</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="60"></a><a href="#60">60</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getCreatedAt</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">DateTime</span></td></tr>
     <tr><td><div align="right"><a name="61"></a><a href="#61">61</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="danger"><td><div align="right"><a name="62"></a><a href="#62">62</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">createdAt</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="63"></a><a href="#63">63</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="64"></a><a href="#64">64</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="65"></a><a href="#65">65</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setCreatedAt</span><span class="keyword">(</span><span class="keyword">?</span><span class="default">DateTime</span><span class="default">&nbsp;</span><span class="default">$createdAt</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="default">self</span></td></tr>
     <tr><td><div align="right"><a name="66"></a><a href="#66">66</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="danger"><td><div align="right"><a name="67"></a><a href="#67">67</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">createdAt</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$createdAt</span><span class="keyword">;</span></td></tr>
     <tr class="danger"><td><div align="right"><a name="68"></a><a href="#68">68</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="69"></a><a href="#69">69</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="70"></a><a href="#70">70</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="71"></a><a href="#71">71</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getTitle</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">string</span></td></tr>
     <tr><td><div align="right"><a name="72"></a><a href="#72">72</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="15 tests cover line 73" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskNeedAuthenticatedUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testToggleTaskAction&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testDeleteTaskAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="73"></a><a href="#73">73</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">title</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="74"></a><a href="#74">74</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="75"></a><a href="#75">75</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="76"></a><a href="#76">76</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setTitle</span><span class="keyword">(</span><span class="keyword">?</span><span class="default">string</span><span class="default">&nbsp;</span><span class="default">$title</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="default">self</span></td></tr>
     <tr><td><div align="right"><a name="77"></a><a href="#77">77</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="10 tests cover line 78" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="78"></a><a href="#78">78</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">title</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$title</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="10 tests cover line 79" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="79"></a><a href="#79">79</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="80"></a><a href="#80">80</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="81"></a><a href="#81">81</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="82"></a><a href="#82">82</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getContent</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">string</span></td></tr>
     <tr><td><div align="right"><a name="83"></a><a href="#83">83</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="15 tests cover line 84" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskNeedAuthenticatedUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testToggleTaskAction&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testDeleteTaskAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="84"></a><a href="#84">84</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">content</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="85"></a><a href="#85">85</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="86"></a><a href="#86">86</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="87"></a><a href="#87">87</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setContent</span><span class="keyword">(</span><span class="keyword">?</span><span class="default">string</span><span class="default">&nbsp;</span><span class="default">$content</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="default">self</span></td></tr>
     <tr><td><div align="right"><a name="88"></a><a href="#88">88</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="10 tests cover line 89" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="89"></a><a href="#89">89</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">content</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$content</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="10 tests cover line 90" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #1&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #2&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #3&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #4&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="90"></a><a href="#90">90</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="91"></a><a href="#91">91</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="92"></a><a href="#92">92</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="93"></a><a href="#93">93</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">isDone</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="default">bool</span></td></tr>
     <tr><td><div align="right"><a name="94"></a><a href="#94">94</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="6 tests cover line 95" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testToggleTaskAction&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testDeleteTaskAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="95"></a><a href="#95">95</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">isDone</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="96"></a><a href="#96">96</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="97"></a><a href="#97">97</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="98"></a><a href="#98">98</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">toggle</span><span class="keyword">(</span><span class="default">bool</span><span class="default">&nbsp;</span><span class="default">$flag</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="default">self</span></td></tr>
     <tr><td><div align="right"><a name="99"></a><a href="#99">99</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="1 test covers line 100" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testToggleTaskAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="100"></a><a href="#100">100</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">isDone</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$flag</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="1 test covers line 101" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testToggleTaskAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="101"></a><a href="#101">101</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="102"></a><a href="#102">102</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="103"></a><a href="#103">103</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="104"></a><a href="#104">104</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getAuthor</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="keyword">?</span><span class="default">User</span></td></tr>
     <tr><td><div align="right"><a name="105"></a><a href="#105">105</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="7 tests cover line 106" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testEditTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testToggleTaskAction&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testDeleteTaskAction&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="106"></a><a href="#106">106</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">author</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="107"></a><a href="#107">107</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="108"></a><a href="#108">108</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="109"></a><a href="#109">109</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setAuthor</span><span class="keyword">(</span><span class="keyword">?</span><span class="default">User</span><span class="default">&nbsp;</span><span class="default">$author</span><span class="keyword">)</span><span class="keyword">:</span><span class="default">&nbsp;</span><span class="default">self</span></td></tr>
     <tr><td><div align="right"><a name="110"></a><a href="#110">110</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="4 tests cover line 111" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="111"></a><a href="#111">111</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">author</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$author</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="112"></a><a href="#112">112</a></div></td><td class="codeLine"></td></tr>
     <tr class="covered-by-large-tests popin"><td data-title="4 tests cover line 113" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testIndex&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTask with data set #0&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\TaskControllerTest::testCreateTaskHasAuthor&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;App\Tests\Functionnal\Controller\UserControllerTest::testListAction&lt;/li&gt;&lt;/ul&gt;" data-placement="top" data-html="true"><div align="right"><a name="113"></a><a href="#113">113</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="114"></a><a href="#114">114</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="115"></a><a href="#115">115</a></div></td><td class="codeLine"><span class="keyword">}</span></td></tr>

    </tbody>
   </table>
   <footer>
    <hr/>
    <h4>Legend</h4>
    <p>
     <span class="success"><strong>Executed</strong></span>
     <span class="danger"><strong>Not Executed</strong></span>
     <span class="warning"><strong>Dead Code</strong></span>
    </p>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 7.0.15</a> using <a href="https://secure.php.net/" target="_top">PHP 7.4.10</a> with <a href="https://xdebug.org/">Xdebug 3.0.4</a> and <a href="https://phpunit.de/">PHPUnit 8.5.20</a> at Fri Sep 17 15:28:50 CEST 2021.</small>
    </p>
    <a title="Back to the top" id="toplink" href="#">
        <svg xmlns="http://www.w3.org/2000/svg" width="12" height="16" viewBox="0 0 12 16"><path fill-rule="evenodd" d="M12 11L6 5l-6 6h12z"/></svg>
    </a>
   </footer>
  </div>
  <script src="../_js/jquery.min.js" type="text/javascript"></script>
  <script src="../_js/popper.min.js" type="text/javascript"></script>
  <script src="../_js/bootstrap.min.js" type="text/javascript"></script>
  <script src="../_js/file.js" type="text/javascript"></script>
 </body>
</html>
